Bug 1278753 - [abrt] mintmenu: g_type_check_instance_is_fundamentally_a(): python2.7 killed by SIGSEGV
[abrt] mintmenu: g_type_check_instance_is_fundamentally_a(): python2.7 killed...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mintmenu (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:45489fe1a4ec1645c8909d7f89c...
:
: 1278573 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 06:03 EST by Wolfgang Ulbrich
Modified: 2015-11-17 06:58 EST (History)
4 users (show)

See Also:
Fixed In Version: mintmenu-5.6.5-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 06:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.73 KB, text/plain)
2015-11-06 06:03 EST, Wolfgang Ulbrich
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-06 06:03 EST, Wolfgang Ulbrich
no flags Details
File: core_backtrace (19.71 KB, text/plain)
2015-11-06 06:03 EST, Wolfgang Ulbrich
no flags Details
File: dso_list (11.39 KB, text/plain)
2015-11-06 06:03 EST, Wolfgang Ulbrich
no flags Details
File: environ (942 bytes, text/plain)
2015-11-06 06:03 EST, Wolfgang Ulbrich
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details
File: maps (47.87 KB, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details
File: open_fds (658 bytes, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details
File: proc_pid_status (1002 bytes, text/plain)
2015-11-06 06:04 EST, Wolfgang Ulbrich
no flags Details

  None (edit)
Description Wolfgang Ulbrich 2015-11-06 06:03:48 EST
Description of problem:
Try to add mintmenu applet to the panel

Version-Release number of selected component:
mintmenu-5.6.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/linuxmint/mintMenu/mintMenu.py
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/python2.7
global_pid:     1773
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4030
 #1 g_object_get_qdata at gobject.c:3235
 #2 pygobject_new_full at pygobject.c:969
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:525
 #5 _call_function_pointer at /usr/src/debug/Python-2.7.10/Modules/_ctypes/callproc.c:836
 #6 _ctypes_callproc at /usr/src/debug/Python-2.7.10/Modules/_ctypes/callproc.c:1179
 #7 PyCFuncPtr_call at /usr/src/debug/Python-2.7.10/Modules/_ctypes/_ctypes.c:3965
 #8 PyObject_Call at /usr/src/debug/Python-2.7.10/Objects/abstract.c:2529
 #9 do_call at /usr/src/debug/Python-2.7.10/Python/ceval.c:4330
Comment 1 Wolfgang Ulbrich 2015-11-06 06:03:53 EST
Created attachment 1090596 [details]
File: backtrace
Comment 2 Wolfgang Ulbrich 2015-11-06 06:03:54 EST
Created attachment 1090597 [details]
File: cgroup
Comment 3 Wolfgang Ulbrich 2015-11-06 06:03:56 EST
Created attachment 1090598 [details]
File: core_backtrace
Comment 4 Wolfgang Ulbrich 2015-11-06 06:03:57 EST
Created attachment 1090599 [details]
File: dso_list
Comment 5 Wolfgang Ulbrich 2015-11-06 06:03:58 EST
Created attachment 1090600 [details]
File: environ
Comment 6 Wolfgang Ulbrich 2015-11-06 06:04:00 EST
Created attachment 1090601 [details]
File: exploitable
Comment 7 Wolfgang Ulbrich 2015-11-06 06:04:02 EST
Created attachment 1090602 [details]
File: limits
Comment 8 Wolfgang Ulbrich 2015-11-06 06:04:04 EST
Created attachment 1090603 [details]
File: maps
Comment 9 Wolfgang Ulbrich 2015-11-06 06:04:05 EST
Created attachment 1090604 [details]
File: mountinfo
Comment 10 Wolfgang Ulbrich 2015-11-06 06:04:07 EST
Created attachment 1090605 [details]
File: open_fds
Comment 11 Wolfgang Ulbrich 2015-11-06 06:04:08 EST
Created attachment 1090606 [details]
File: proc_pid_status
Comment 12 Wolfgang Ulbrich 2015-11-06 06:09:21 EST
*** Bug 1278573 has been marked as a duplicate of this bug. ***
Comment 13 Wolfgang Ulbrich 2015-11-06 06:30:15 EST
The second warning is interesting.

[rave@f23-test ~]$ mintmenu 
/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py:50: RuntimeWarning: You have imported the Gtk 2.0 module.  Because Gtk 2.0 was not designed for use with introspection some of the interfaces and API will fail.  As such this is not supported by the pygobject development team and we encourage you to port your app to Gtk 3 or greater. PyGTK is the recomended python module to use with Gtk 2.0
  warnings.warn(warn_msg, RuntimeWarning)
/usr/share/linuxmint/mintMenu/mintMenu.py:7: PyGIWarning: MatePanelApplet was imported without specifying a version first. Use gi.require_version('MatePanelApplet', '4.0') before import to ensure that the right version gets loaded.
  from gi.repository import MatePanelApplet
Comment 14 Wolfgang Ulbrich 2015-11-06 06:55:13 EST
Adding gi.require_version('MatePanelApplet', '4.0') to /mintMenu.py kills the warning, but mintmenu doesn't start.
Also disable all plugins doesn't help.
gsettings get com.linuxmint.mintmenu plugins-list
['places', 'system_management', 'newpane', 'applications']
Comment 15 Wolfgang Ulbrich 2015-11-06 07:26:06 EST
I forward the issue to upstream
https://github.com/linuxmint/mintmenu/issues/141
But they release a new linuxmint version this month, so i don't expect a quick solution.
Comment 16 Fedora Update System 2015-11-08 12:29:05 EST
mintmenu-5.6.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-035faaf4f5
Comment 17 Fedora Update System 2015-11-08 23:49:44 EST
mintmenu-5.6.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mintmenu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-035faaf4f5
Comment 18 Jxanti.jx 2015-11-09 14:40:03 EST
(In reply to Fedora Update System from comment #17)
> mintmenu-5.6.5-1.fc23 has been pushed to the Fedora 23 testing repository.
> If problems still persist, please make note of it in this bug report.
> If you want to test the update, you can install it with
> $ su -c 'dnf --enablerepo=updates-testing update mintmenu'
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-035faaf4f5

My mintmenu 5.6.4-1 fc23 updated to 5.6.5-1 successfully using
your su -c 'dnf --enablerepo=updates-testing update mintmenu'
thanks
Comment 19 Fedora Update System 2015-11-17 06:58:24 EST
mintmenu-5.6.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.